Bug 117897 - [PATCH] net-im/amsn configure script broken
Summary: [PATCH] net-im/amsn configure script broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-07 21:20 UTC by Stephen Hurd
Modified: 2008-01-26 03:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.62 KB, patch)
2007-11-07 21:20 UTC, Stephen Hurd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2007-11-07 21:20:01 UTC
The configure script in net-im/amsn uses gtest-isms, tclsh, doesn't pass additional include paths to cc -E for header tests, and overrides command-line parameters in favour of ones from /usr/local/lib/tk8.4/tkConfig.sh.

Fix: Add the attached file to the files directory.

Patch attached with submission follows:
How-To-Repeat: Attempt to build net-im/amsn
Comment 1 Edwin Groothuis freebsd_committer 2007-11-07 21:22:39 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Gavin Atkinson freebsd_committer freebsd_triage 2007-11-25 20:29:51 UTC
I can confirm that this patch fixes the port for me too.

Gavin
Comment 3 shurd 2008-01-18 01:11:46 UTC
Ping?
Comment 4 Ying-Chieh Chen 2008-01-18 07:44:23 UTC
I approve this patch, please commit it.

Thanks!

- yinjieh

On Thu, Jan 17, 2008 at 05:11:46PM -0800, Stephen Hurd wrote:
> Ping?
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2008-01-18 09:35:55 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Thomas Abthorpe freebsd_committer 2008-01-25 19:36:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 7 dfilter service freebsd_committer 2008-01-26 03:12:30 UTC
tabthorpe    2008-01-26 03:12:25 UTC

  FreeBSD ports repository

  Modified files:
    net-im/amsn          Makefile 
    net-im/amsn/files    patch-configure 
  Log:
  - Fix configure script
  - While I am here, use SF macro
  
  PR:             ports/117897
  Submitted by:   Stephen Hurd <shurd sasktel.net>
  Approved by:    Ying-Chieh Chen <yinjieh csie.nctu.edu.tw> (maintainer)
  Sponsored by:   FreeBSD Bug-a-thon #3
  
  Revision  Changes    Path
  1.32      +1 -2      ports/net-im/amsn/Makefile
  1.2       +135 -7    ports/net-im/amsn/files/patch-configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Thomas Abthorpe freebsd_committer 2008-01-26 03:13:00 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!